#!/usr/local/bin/bash

# Copyright (c) 2018-2022, diyIT.org
# All rights reserved.
#
# BSD 2-Clause License ("Simplified BSD License" or "FreeBSD License")
# https://diyit.org/license/
#
#

Q=`netstat -LAan | grep 3000 | cut -f3 -d" " | cut -f1 -d/`
# Q is null if gitea service is not running

if [ ! "$Q" ] || [ $Q -ne 0 ]; then
    echo "restarting gitea stuck at $Q"
    tail /var/log/gitea/gitea.log
    kill -9 `pgrep gitea` ; sleep 2 ; service gitea start
fi

# crontab - 5 * * * * /mnt/config/gitea-restart.sh
